<?php
require('../conexion.php');

$map_id = $_POST['map_id_edt'];
$map_nombre =$_POST['map_nombre_edt'];
$map_ingreso=$_POST['map_ingreso_edt'];
$map_clasificacion=$_POST['map_clasificacion_edt'];
$map_unidad=$_POST['map_unidad_edt'];
$map_entrada=$_POST['map_entrada_edt'];
$map_costo_u=$_POST['map_costo_u_edt'];
//$map_existencia=$_POST['map_existencia_edt'];
//$costo_final=$_POST['map_costo_final_edt']; // Se obtiene con base a la suma de la materia prima de entrada, mas la de existencia multiplicado por el costo unico.
$map_stock_minimo=$_POST['map_stock_minimo_edt'];
$map_predecedero=$_POST['map_predecedero_edt'];
$map_fecha_predecer=$_POST['map_fecha_predecer_edt'];
$map_estatus=$_POST['map_estatus_edt'];

try{
    $query=query("UPDATE materia_prima SET map_nombre='$map_nombre', map_clasificacion='$map_clasificacion', map_entrada='$map_ingreso', map_unidad_medida='$map_unidad', map_fecha_entrada='$map_entrada' , map_costo_unico = '$map_costo_u', map_existencia = (map_existencia+map_entrada), map_costo_final = (map_existencia*map_costo_unico), map_stock_minimo ='$map_stock_minimo', map_perecedero ='$map_predecedero' , map_fecha_perecer ='$map_fecha_predecer', map_estatus ='$map_estatus' WHERE id='$map_id'");
    $res = 1;
    $qry = query("UPDATE receta_materia_prima as rec SET rem_costo_unico= $map_costo_u* rem_entrada WHERE rec.map_id= $map_id ;");
    $recetas = query("SELECT rec.id 'ID' FROM receta as rec INNER JOIN receta_materia_prima as rm on rm.rec_id=rec.id WHERE map_id=$map_id GROUP BY rec.id;");
    $datos=array();
    $reg=0;
    while($resultado=mysqli_fetch_assoc($recetas))
    {
    $datos[$reg]["ID"]=$resultado["ID"];
    $reg++;
    }
    
    for ($rr=0;$rr<count($datos);$rr++) { 
        $id_rec= $datos[$rr]['ID'];
        $qry = query("UPDATE receta SET rec_costo = (SELECT SUM(rem_costo_unico) FROM receta_materia_prima WHERE rec_id=$id_rec) WHERE id = $id_rec;");
    } 
}catch(Exception $e){
    
    $res=0;
}
echo $res;

?>